<html>
<head>
<title>OGRE: Ogre::RenderTarget::FrameStats Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1RenderTarget.html">RenderTarget</a>::<a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html">FrameStats</a></div>
<h1>Ogre::RenderTarget::FrameStats Struct Reference</h1><!-- doxytag: class="Ogre::RenderTarget::FrameStats" --><code>#include &lt;<a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1RenderTarget_1_1FrameStats-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#12556de54d8ea0ca7ccf064a07d25389">lastFPS</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#4e2453ac395f96a11a966f18590610e0">avgFPS</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#b07828877ca7c352d1a8b1afaab1df08">bestFPS</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">float&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#49f1dd55396299921e69e1d7ed66c0fc">worstFPS</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#720bee3828b5c2d2419e7afbeed0191e">bestFrameTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned long&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#7536670fa555a4f05c52ccdacc9c2194">worstFrameTime</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#b1bf6f713ee6774a371fdf74f2ffaf44">triangleCount</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#6b4e063f6df89d63021022eb8f43d91c">batchCount</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00073">73</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="12556de54d8ea0ca7ccf064a07d25389"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::lastFPS" ref="12556de54d8ea0ca7ccf064a07d25389" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#12556de54d8ea0ca7ccf064a07d25389">Ogre::RenderTarget::FrameStats::lastFPS</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00075">75</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4e2453ac395f96a11a966f18590610e0"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::avgFPS" ref="4e2453ac395f96a11a966f18590610e0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#4e2453ac395f96a11a966f18590610e0">Ogre::RenderTarget::FrameStats::avgFPS</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00076">76</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b07828877ca7c352d1a8b1afaab1df08"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::bestFPS" ref="b07828877ca7c352d1a8b1afaab1df08" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#b07828877ca7c352d1a8b1afaab1df08">Ogre::RenderTarget::FrameStats::bestFPS</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00077">77</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="49f1dd55396299921e69e1d7ed66c0fc"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::worstFPS" ref="49f1dd55396299921e69e1d7ed66c0fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#49f1dd55396299921e69e1d7ed66c0fc">Ogre::RenderTarget::FrameStats::worstFPS</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00078">78</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="720bee3828b5c2d2419e7afbeed0191e"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::bestFrameTime" ref="720bee3828b5c2d2419e7afbeed0191e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#720bee3828b5c2d2419e7afbeed0191e">Ogre::RenderTarget::FrameStats::bestFrameTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00079">79</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7536670fa555a4f05c52ccdacc9c2194"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::worstFrameTime" ref="7536670fa555a4f05c52ccdacc9c2194" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#7536670fa555a4f05c52ccdacc9c2194">Ogre::RenderTarget::FrameStats::worstFrameTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00080">80</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b1bf6f713ee6774a371fdf74f2ffaf44"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::triangleCount" ref="b1bf6f713ee6774a371fdf74f2ffaf44" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#b1bf6f713ee6774a371fdf74f2ffaf44">Ogre::RenderTarget::FrameStats::triangleCount</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00081">81</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6b4e063f6df89d63021022eb8f43d91c"></a><!-- doxytag: member="Ogre::RenderTarget::FrameStats::batchCount" ref="6b4e063f6df89d63021022eb8f43d91c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="structOgre_1_1RenderTarget_1_1FrameStats.html#6b4e063f6df89d63021022eb8f43d91c">Ogre::RenderTarget::FrameStats::batchCount</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderTarget_8h-source.html#l00082">82</a> of file <a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreRenderTarget_8h-source.html">OgreRenderTarget.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:18 2008
</p>
</body>
</html>
